The IETF-ISOC Relationship
RFC 8712
Gonzalo Camarillo
Ericsson
Jason Livingood
Comcast
2020-02
General
IETF Administrative Support Activity 2
IASA
This document summarizes the Internet Engineering Task Force (IETF) - Internet Society (ISOC) relationship, following a major revision to the structure of the IETF Administrative Support Activity (IASA) in 2018. The IASA was revised under a new "IASA 2.0" structure by the IASA2 Working Group, which changed the IETF's administrative, legal, and financial structure. As a result, it also changed the relationship between the IETF and ISOC, which made it necessary to revise RFC 2031.
Status of This Memo
This document is not an Internet Standards Track specification; it is published for informational purposes.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Not all documents approved by the IESG are candidates for any level of Internet Standard; see Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc8712.
Copyright Notice
Copyright (c) 2020 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Simplified BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Simplified BSD License.
Table of Contents
- 1. Introduction and History
- 2. Philosophical Relationship with ISOC
- 3. Main Division of Responsibilities between IETF and ISOC
- 4. ISOC's Role in the IETF Standards Process
- 5. The IETF's Role in ISOC
- 6. Legal Relationship with ISOC
- 7. Financial and Administrative Relationship with ISOC
- 8. IANA Considerations
- 9. Security Considerations
- 10. Privacy Considerations
- 11. References
  - 11.1. Normative References
  - 11.2. Informative References
- Acknowledgements
- Authors' Addresses
Introduction and History
The Internet Society provides a corporate home for the administrative entity that supports the Internet Engineering Task Force (IETF), the Internet Architecture Board (IAB), and the Internet Research Task Force (IRTF), and supports the work of these groups through a variety of programs.
The Internet Engineering Task Force (IETF) is the body that is responsible for the development and maintenance of the Internet Standards. The IETF is primarily a volunteer organization. Its driving force is a group of dedicated, high-quality engineers from all over the world. In a structure of working groups, these engineers exchange ideas and experience, and through discussion and collaboration (both electronically and face-to-face), they strive to achieve rough consensus and implement the standards through running code.
The growth of the Internet over several decades has also led to the growth of the IETF. More and more people, organizations, and companies rely on Internet Standards. Nontechnical issues, such as legal, administrative, and financial issues had long been an undesirable but unavoidable part of the IETF. To address these issues, the IETF established the Poised95 Working Group in 1995. Its goal was to structure and document the IETF processes in order to maximize the flexibility and freedom of IETF engineers so that they could work in the way the IETF had always been most successful and to honor the IETF credo: "Rough consensus and running code".
The Poised95 Working Group concluded that the Internet Society (ISOC), which was formed in 1992, was the best organization to handle all of these legal, administrative, and financial tasks on behalf of, and in close cooperation with, the IETF. This led to documenting things such as the IETF standards process [RFC2026], the IETF organizational structure [RFC2028], the IETF Nominating Committee (NomCom) procedures [RFC2027], and the IETF-ISOC relationship [RFC2031].
As time passed and operational experience accumulated, additional structure was necessary. As a result, the Internet Administrative Support Activity (IASA) was defined in 2005 and documented in [RFC4071] and [RFC4371].
In 2018, the IASA was revised under a new "IASA 2.0" structure by the IASA2 Working Group, which made significant revisions to the IETF's administrative, legal, and financial structure. One critical outcome was the formation, in close cooperation between the IETF and ISOC, of the IETF Administration Limited Liability Company (IETF LLC) as a subsidiary of ISOC.
As a result of the IASA 2.0 structure [RFC8711] and formation of the IETF LLC, the relationship between the IETF and ISOC has changed. This document summarizes the current state of the IETF-ISOC relationship at a high level and replaces [RFC2031].
Philosophical Relationship with ISOC
ISOC and the IETF have historically been philosophically aligned. ISOC's connection with the IETF community has always played an important role in its policy work, which has not changed. ISOC has always been and continues to be an advocate for multistakeholder processes, which includes the technical community. Open standards are an explicit part of one of the focus areas in ISOC's mission: advancing the development and application of Internet infrastructure, technologies, and open standards [ISOC-Mission].
Main Division of Responsibilities between IETF and ISOC
The IETF remains responsible for the development and quality of the Internet Standards. Apart from the roles described below, the IETF and ISOC acknowledge that ISOC as an organization has no direct influence whatsoever on the technical content of Internet Standards (though ISOC employees may independently continue to make technical contributions as individuals).
ISOC's Role in the IETF Standards Process
ISOC plays a small role in the IETF standards process. In particular, ISOC assists the standards process by appointing the IETF NomCom chair and by confirming IAB candidates who are put forward by the IETF NomCom, as described in [RFC8713], and by acting as the last resort in the appeals process, as described in [RFC2026].
ISOC maintains liaison relationships and memberships in other Standards Development Organizations (SDOs) and related organizations, which directly benefits the IETF. For example, ISOC is a Sector Member of the ITU-T. As a result, ISOC delegates are afforded the same rights as other ITU-T Sector Members [RFC6756].
ISOC also supports the IETF standards process indirectly (e.g., by promoting it in relevant communities) through several programs. For example, ISOC's Policymakers Programme to the IETF (usually referred to simply as ISOC's IETF Policy Program) gives policy experts an opportunity to interact directly with the IETF technical community. ISOC also performs technical work using the standards developed in the IETF as its basis. An example of that is ISOC's work in encouraging and supporting the deployment of IETF standards.
Otherwise, the involvement of ISOC's employees in the IETF standards process (e.g., as document editors or in leadership positions) is as individual contributors rather than on institutional grounds.
The IETF's Role in ISOC
The IETF plays a role in the governance of ISOC. Per ISOC's bylaws, the IETF appoints a set of trustees to the ISOC Board. The process by which the IETF makes those appointments is defined in [RFC3677].
The charter of the IAB (Internet Architecture Board) [RFC2850] states that "the IAB acts as a source of advice and guidance to the Board of Trustees and Officers of the Internet Society concerning technical, architectural, procedural, and (where appropriate) policy matters pertaining to the Internet and its enabling technologies". This connection between the IAB and ISOC ensures that ISOC's proposals in the policy area are based on a sound understanding of the relevant technologies and architectures. ISOC's strong connection to the Internet technical community has always been one of its main strengths.
Legal Relationship with ISOC
The IETF LLC is a disregarded Limited Liability Company (LLC) of the Internet Society that was established to provide a corporate legal framework for facilitating current and future activities related to the IETF, IAB, and IRTF. It was established by the ISOC / IETF LLC Agreement [OpAgreement] on August 27, 2018, and governs the relationship between the IETF LLC and ISOC.
The IETF Trust, documented in [RFC5378], and updated in [RFC8714] and [RFC8715], provides legal protection for the RFC Series of documents and other aspects of the IETF. This includes things such as protection for trademarks, copyrights, and intellectual property rights. As part of the IETF Trust arrangement, IETF standards documents can be freely downloaded, copied, and distributed without financial or other distribution restrictions, though all rights to change these documents lie with the IETF. The IETF Trust also provides legal protection in case of disputes over intellectual property rights and other rights. The creation of the IETF LLC has changed the way that the IETF Trust's trustees are selected but did not change the purpose or operation of the Trust. One of the IETF Trust's trustees is appointed by the ISOC's Board of Trustees.
Financial and Administrative Relationship with ISOC
Under the terms of the Operating Agreement [OpAgreement] between ISOC and the IETF, ISOC has agreed to provide significant funding support for the IETF. In addition, the IETF LLC is responsible for creating and managing an annual operating budget for the IETF; for negotiating, signing, and overseeing contracts; for fundraising; for maintaining bank accounts; and for liability insurance. The IETF LLC is managed by a Board of Directors, one of whom is appointed by the ISOC's Board of Trustees. The intention is that ISOC and the IETF LLC operate at arm's length.
The IETF LLC establishes contracts with third parties to provide different types of services to the IETF. Note that it is possible that some of those services may be provided by ISOC or involve ISOC staff.
Under the new IASA 2.0 structure, the IETF LLC is solely responsible for its administration, including the IETF Trust, IAB, IESG, IETF working groups, and other IETF processes. A further exploration of this can be found in Section 4 of [RFC8711].
IANA Considerations
This document has no IANA actions.
Security Considerations
This document introduces no new security considerations.
Privacy Considerations
This document introduces no new privacy considerations.
References
Normative References
[RFC8711]

Structure of the IETF Administrative Support Activity, Version 2.0
B. Haberman
J. Hall
J. Livingood
February 2020
BCP 101
RFC 8711
DOI 10.17487/RFC8711
Informative References
[ISOC-Mission]

Internet Society Mission
Internet Society
[OpAgreement]

Limited Liability Company Agreement of IETF Administration LLC
August 2018
[RFC2026]

The Internet Standards Process -- Revision 3
S. Bradner
October 1996
BCP 9
RFC 2026
DOI 10.17487/RFC2026
[RFC2027]

IAB and IESG Selection, Confirmation, and Recall Process: Operation of the Nominating and Recall Committees
J. Galvin
October 1996
RFC 2027
DOI 10.17487/RFC2027
[RFC2028]

The Organizations Involved in the IETF Standards Process
R. Hovey
S. Bradner
October 1996
BCP 11
RFC 2028
DOI 10.17487/RFC2028
[RFC2031]

IETF-ISOC relationship
E. Huizer
October 1996
RFC 2031
DOI 10.17487/RFC2031
[RFC2850]

Charter of the Internet Architecture Board (IAB)
Internet Architecture Board
B. Carpenter, Ed.
May 2000
BCP 39
RFC 2850
DOI 10.17487/RFC2850
[RFC3677]

IETF ISOC Board of Trustee Appointment Procedures
L. Daigle, Ed.
Internet Architecture Board
December 2003
BCP 77
RFC 3677
DOI 10.17487/RFC3677
[RFC4071]

Structure of the IETF Administrative Support Activity (IASA)
R. Austein, Ed.
B. Wijnen, Ed.
April 2005
BCP 101
RFC 4071
DOI 10.17487/RFC4071
[RFC4371]

BCP 101 Update for IPR Trust
B. Carpenter, Ed.
L. Lynch, Ed.
January 2006
BCP 101
RFC 4371
DOI 10.17487/RFC4371
[RFC5378]

Rights Contributors Provide to the IETF Trust
S. Bradner, Ed.
J. Contreras, Ed.
November 2008
BCP 78
RFC 5378
DOI 10.17487/RFC5378
[RFC6756]

Internet Engineering Task Force and International Telecommunication Union - Telecommunication Standardization Sector Collaboration Guidelines
S. Trowbridge, Ed.
E. Lear, Ed.
G. Fishman, Ed.
S. Bradner, Ed.
September 2012
RFC 6756
DOI 10.17487/RFC6756
[RFC8713]

IAB, IESG, IETF Trust, and IETF LLC Selection, Confirmation, and Recall Process: Operation of the IETF Nominating and Recall Committees
M. Kucherawy, Ed.
R. Hinden, Ed.
J. Livingood, Ed.
February 2020
BCP 10
RFC 8713
DOI 10.17487/RFC8713
[RFC8714]

Update to the Process for Selection of Trustees for the IETF Trust
Jari Arkko
Ted Hardie
February 2020
BCP 101
RFC 8714
DOI 10.17487/RFC8714
[RFC8715]

IETF Administrative Support Activity 2.0: Update to the Process for Selection of Trustees for the IETF Trust
Jari Arkko
February 2020
RFC 8715
DOI 10.17487/RFC8715
Acknowledgements
The authors would like to thank Erik Huizer for his contribution as the author of [RFC2031], which this document replaces.
Authors' Addresses
Gonzalo Camarillo
Ericsson
Gonzalo.Camarillo@ericsson.com
Jason Livingood
Comcast
jason_livingood@comcast.com